System.ServiceModel 4.0.0.0 System.Collections.ObjectModel.ReadOnlyCollection<System.ServiceModel.Channels.AddressHeader> System.ServiceModel.Channels.AddressHeader

The can be initialized with an set of objects and then searched for a header with a specific qualified name using the method. To find all of the headers with a specific qualified name, use the method. The method is used to add headers to the headers of a specified message.

Represents a thread-safe, read-only collection of address headers.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class from an enumerable set of address headers.

- Method
  4.0.0.0
  System.Void ``

  This inserts the headers from the current collection into the associated with the and accessible through the property.

  Adds the headers in the collection to the headers of a specified message.

  The to which the headers are added.
- Method
  4.0.0.0
  System.ServiceModel.Channels.AddressHeader[] `` `` To be added.

  Finds all the address headers in the collection with the specified name and namespace.

  The of type that contains all the headers in the collection with the specified name and namespace.

  The name of the address header to be found. The namespace of the address header to be found.
- Method
  4.0.0.0
  System.ServiceModel.Channels.AddressHeader `` ``

  If you need to find all the address headers in the collection with the specified name and namespace, use the method instead.

  is not the ideal exception type when there is more than one header in the collection. Callers of this method should take care to handle this exception when the collection contains multiple entries with the same name and namespace.

  Finds the first address header in the collection with a specified name and namespace.

  The in the collection with the specified name and namespace.

  The name of the address header to be found. The namespace of the address header to be found.